List webhook logs
curl --request GET \
--url https://api-prod.blaaiz.com/api/external/webhook-logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.blaaiz.com/api/external/webhook-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.blaaiz.com/api/external/webhook-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/webhook-logs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/webhook-logs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"current_page": 1,
"data": [
{
"id": "log-id",
"business_id": "business-id",
"business_transaction_id": null,
"business_crypto_wallet_transaction_id": "crypto-transaction-id",
"type": "crypto.payout.successful",
"webhook_url": "https://example.com/webhooks/payout",
"payload": {
"event": "crypto.payout.successful"
},
"response": {
"status": 200
},
"status": "SUCCESSFUL"
}
],
"per_page": 15,
"total": 1
}Webhook
List webhook logs
Get webhook delivery logs for your business. Crypto payout events use the crypto.payout.* type values. Required scope: webhook:read.
GET
/
api
/
external
/
webhook-logs
List webhook logs
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Available options:
SUCCESSFUL, FAILED The webhook event type.
Required range:
1 <= x <= 30Was this page helpful?